10.15 Catalina Scilab ne s'ouvre pas (installer Java)

Jaja22170

Nouveau membre
7 Avril 2020
2
0
19
Bonjour,

J'ai actuellement besoin pour mes études d'utiliser le logiciel Scilab. Seulement celui-ci nécessite l'ancien moteur d'exécution "Java SE6" pour fonctionner correctement, qui n'est plus présent sur ma version (10.15.4, macOS, Catalina...). Il m'a donc fallu installer l'ancien paquet Java fourni par Apple (pour ouvrir Scilab donc) à ce lien :
Voilà ce que j'obtiens lors de l'installation :

Capture d’écran 2020-04-07 à 19.12.00.png

J'ai donc naturellement cherché à désinstaller les versions de Java déjà présentes sur mon ordinateur, en suivant la méthode indiquée sur le site de Java :
J'ai également désinstallé le Jdk présent sur mon ordinateur grâce à la commande :
sudo rm -rf /Library/Java/JavaVirtualMachines/'maversiondujdk'
via le terminal. Ce qui a fonctionné.
Java semble bien désinstallé, en voilà la preuve :

Capture d’écran 2020-04-07 à 19.19.15.png

Seulement, lorsque j'essaye d'installer la vieille version de Java, alors que plus aucune n'est installée sur mon ordinateur, j'ai le même problème que pour la première image (j'ai bien redémarré avant de réessayer).
J'ai lancé les trois lignes suivantes pour savoir si Java était bel et bien disparu de ma machine :
ls -al /Library/Internet\ Plug-Ins/
ls -al /Library/PreferencePanes/
ls -al /Library/Application\ Support/[/contents/702-oracle-introduction-au-sgbd-oracle Oracle]/
Voilà ce que j'obtiens :

Capture d’écran 2020-04-07 à 19.24.14.png

On voit clairement le "Java" à la fin, je ne comprend pas ce qu'il fait là.

Je me retrouve donc bloqué, j'ai utilisé l'application Pacifist pour installer bon gré mal gré la version de Java en question, mais en passant par cette méthode l'installation est incomplète (des messages d'erreurs pour certains éléments du paquet apparaissent lors de l'installation), je ne suis alors en mesure que d'ouvrir la version 6.0.2 de Scilab, toutes les autres versions se referment automatiquement à leur ouverture (j'ai bien autorisé leur ouverture dans les préférences systèmes) et même la version 6.0.2 ne marche pas correctement du tout, les simulations ne se lancent pas et l'application plante en boucle.

Bref, me voilà bien embêté, j'ai besoin de scilab pour mes cours ! Si vous avez des idées n'hésitez pas à m'en faire part, ça me gonfle franchement de faire tout ça pour un logiciel qui fonctionne parfaitement sur Windows.

Merci de votre aide et de votre attention !
 
Dernière édition par un modérateur:

NinaKaren

Nouveau membre
13 Mai 2020
1
0
40
Bonjour,

Je rencontre exactement les mêmes difficultés depuis hier matin, j'ai appelé apple ce matin, ils n'ont rien pu faire, avez-vous réussi à trouver une solution ?

Merci pour votre réponse
 

Jaja22170

Nouveau membre
7 Avril 2020
2
0
19
Bonjour,

Je rencontre exactement les mêmes difficultés depuis hier matin, j'ai appelé apple ce matin, ils n'ont rien pu faire, avez-vous réussi à trouver une solution ?

Merci pour votre réponse

Voilà une vidéo qui m'a bien aidé pour résoudre ce problème, redis moi si ça marche pour toi.